Package Details: burpsuite-pro 2021.12-1

Git Clone URL: https://aur.archlinux.org/burpsuite-pro.git (read-only, click to copy)
Package Base: burpsuite-pro
Description: An integrated platform for performing security testing of web applications (professional edition)
Upstream URL: https://portswigger.net/burp/
Licenses: custom
Submitter: freb
Maintainer: freb
Last Packager: freb
Votes: 5
Popularity: 0.070705
First Submitted: 2021-03-17 04:36
Last Updated: 2022-01-11 17:16

Dependencies (2)

Required by (0)

Sources (4)

Latest Comments

1 2 Next › Last »

freb commented on 2021-09-28 17:36

@150Kirill150, it looks like you are using an unsupported version of Java (8). You at least need version 9, and I would guess most of us are using version 16, which is the latest. Since the package depends on version 9 or greater, my guess is that you have a newer version installed and just aren't using it.

You can change your default Java version with:

sudo archlinux-java set java-16-openjdk

Alternatively, you can create your own script to launch it, setting the Java version you want to use.

https://wiki.archlinux.org/title/java#Launching_an_application_with_the_non-default_java_version

If you only have Java 8 installed, and no other versions of Java, then let me know as there may be an issue with our dependencies. If this is the case, give me the output from:

pacman -Q | grep -i openjdk

150Kirill150 commented on 2021-09-28 14:16

burpsuite-pro
Unrecognized option: --add-opens Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit.

java -version master [b9c393a] openjdk version "1.8.0_292" OpenJDK Runtime Environment (build 1.8.0_292-b10) OpenJDK 64-Bit Server VM (build 25.292-b10, mixed mode)

Help Me!

kirill@KirillPC:/usr/share/burpsuite-pro

java -jar burpsuite-pro.jar Error: A JNI error has occurred, please check your installation and try again Exception in thread "main" java.lang.UnsupportedClassVersionError: burp/StartBurp has been compiled by a more recent version of the Java Runtime (class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0 at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClass(ClassLoader.java:756) at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) at java.net.URLClassLoader.defineClass(URLClassLoader.java:468) at java.net.URLClassLoader.access$100(URLClassLoader.java:74) at java.net.URLClassLoader$1.run(URLClassLoader.java:369) at java.net.URLClassLoader$1.run(URLClassLoader.java:363) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:362) at java.lang.ClassLoader.loadClass(ClassLoader.java:418) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352) at java.lang.ClassLoader.loadClass(ClassLoader.java:351) at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:601)

freb commented on 2021-06-22 21:33

@alxjsn, I confirmed your issue after updating my Java version. Burp Suite is only tested on versions of Java up to version 14, but I've never had an issue running the latest. I've pushed a new version with the flag added, so you should be good for now.

If people ever run into problems running the latest Java version, just let me know and I can add a depends constraint.

alxjsn commented on 2021-06-22 13:23

Anyone else getting the error message: "To run Burp Suite using Java 16 or above, please supply the following JVM argument: --illegal-access=permit"?

Might be worth it to add a patch if this continues with every new version so we don't have to add that manually every time there's an update.

freb commented on 2021-05-28 18:46

@skrysz, oh boy. That's two times in a row. I really need to get my workflow down. I have a pre-commit hook that downloads the new jar and verifies the checksum matches. But I keep forgetting to re-commit the PKGBUILD after updating the sha256sum, even though the one in my local file matches the downloaded jar.

Anyway, I'll try to come up with a better process. Sorry for the annoyance.

skrysz commented on 2021-05-28 13:29

hi @freb,

Validating source files with sha256sums, burpsuite-pro-2021.6.jar ... FAILED

skrysz commented on 2021-05-16 19:15

@freb Thank you very much :)

freb commented on 2021-05-16 17:21

Thanks for the heads up, @skrysz. Should be fixed now.

skrysz commented on 2021-05-16 14:20

Hi, thanks for package!

Wrong sha256sum in pkg

==> Validating source files with sha256sums... burpsuite-pro-2021.5.1.jar ... FAILED

sha256sum in pkg 1bba322246e7e92caa8c383d19fce97163e5492f20690b3b16d49a2efb28618a , sha256sum jar be9f30043cb6ca7c8dbb3b183dab89fc112641cbfaa804dd44c7e2a46ad60098

freb commented on 2021-03-23 17:03

@crdx, thanks for the heads up. I've updated the pkg. Let me know if you see any other issues.